DIPlib Documentation - ©1995-2015 Quantitative Imaging Group, Delft University of Technology.

# ImageReadTIFFInfo

Get information about image in TIFF file (in dipIO)

## SYNOPSIS

`#include "dipio_tiff.h"`

dip_Error dipio_ImageReadTIFFInfo ( imInfo, filename, imageNumber )

## FUNCTION

Opens a TIFF file and fills a `dipio_ImageFileInformation` structure with the information from that file. `imInfo` must be allocated before calling this function. `imageNumber` indicates which image from the multi-page TIFF file to get info on. 0 is the first image. `imInfo->numberOfImages` gives the number of pages in the file.

## ARGUMENTS

Data type | Name | Description
`dipio_ImageFileInformation` | `imInfo` | Output image file information. See `ImageFileInformationNew`
`dip_String` | `filename` | File name
`dip_int` | `imageNumber` | Image number to query

## SOFTWARE

This function uses `libtiff` (version 3.6.1 or later), which supports the TIFF specification revision 6.0. Copyright (c)1988-1997 Sam Leffler and Copyright (c)1991-1997 Silicon Graphics, Inc.

## SEE ALSO

`ImageFileGetInfo`, `ImageIsTIFF`, `ImageReadTIFF`, `ImageWriteTIFF`, `ImageFileInformationNew`